This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 466868 - Rescue mode doesn't recognize installation with ext4dev root fs
Rescue mode doesn't recognize installation with ext4dev root fs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.3
i386 Linux
high Severity high
: rc
: ---
Assigned To: Radek Vykydal
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-14 04:43 EDT by Marian Ganisin
Modified: 2009-01-20 16:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:35:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda log in rescue mode (11.67 KB, text/plain)
2008-10-14 04:43 EDT, Marian Ganisin
no flags Details

  None (edit)
Description Marian Ganisin 2008-10-14 04:43:59 EDT
Created attachment 320265 [details]
anaconda log in rescue mode

Description of problem:
When ext4dev type is used for root partition (/) anaconda doesn't find RHEL installation in rescue mode.

Version-Release number of selected component (if applicable):
RHEL5.3-Server-20081006.0-i386

How reproducible:
Always with described configuration.

Additional info:

On running filesystem:
# mount
/dev/hda2 on / type ext4dev (rw)
proc on /proc type proc (rw)
sysfs on /sys type sysfs (rw)
devpts on /dev/pts type devpts (rw,gid=5,mode=620)
/dev/hda5 on /tmp type ext3 (rw)
/dev/hda1 on /boot type ext3 (rw)
tmpfs on /dev/shm type tmpfs (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
/dev/hdc on /mnt type iso9660 (ro)
Comment 1 Radek Vykydal 2008-10-14 06:20:24 EDT
Fixed with commit d0633210261e1d7ff9ee8d217215e5932c74cbae.
Will be included in 11.1.2.142.
Comment 2 RHEL Product and Program Management 2008-10-14 09:44:33 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Marian Ganisin 2008-10-22 05:41:41 EDT
Rescue mode is working with ext4dev. Tested on RHEL5.3-Server-20081020.1-i386.
Comment 7 errata-xmlrpc 2009-01-20 16:35:37 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0164.html

Note You need to log in before you can comment on or make changes to this bug.